<?php

    $zip = $_REQUEST['zip'];
    $url = "http://www.google.com/movies?near=" . $zip; 

    $doc = new DOMDocument("1.0", "UTF-8"); 
    $doc->formatOutput = true; 
    $orml = $doc->createElement("orml"); 
    $orml->setAttribute("version", "1.2"); 
    $orml->setAttribute("xmlns", "http://sourceforge.net/p/openrokn/home/ORML"); 
    $doc->appendChild($orml); 
    $channel = $doc->createElement("channel"); 
    $orml->appendChild($channel); 
    $poster = $doc->createElement("item"); 
    $poster->setAttribute("type", "poster"); 
    $poster->setAttribute("style", "flat-episodic-16x9"); 
    $poster->setAttribute("title", "Results"); 
    $channel->appendChild($poster); 

    // create an item element for each document that you want to display.
    // you could display a separate document item for showtimes, news,
    // and weather or you could display a separate document item for
    // multiple showtimes websites.
    $docitem = $doc->createElement("item"); 
    $docitem->setAttribute("type", "document"); 
    $docitem->setAttribute("title", "Google"); 
    $docitem->setAttribute("shortdesc", "Movie showtimes for " . $zip); 
    $docitem->setAttribute("sdposterurl", "http://openrokn.sourceforge.net/images/sddocuments.png"); 
    $docitem->setAttribute("hdposterurl", "http://openrokn.sourceforge.net/images/hddocuments.png"); 
    $docitem->setAttribute("url", $url); 
    $docitem->setAttribute("striphtml", "true"); 
    $docitem->setAttribute("stripews", "true"); 
    $docitem->setAttribute("regexfilter", "^.+<div id=movie_results>|<div id=navbar.+$");
    $poster->appendChild($docitem);

    header("Content-type: application/xml"); 
    echo $doc->saveXML(); 

?>
